summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/AusweisApp2/AusweisApp2-1.22.3.ebuild48
-rw-r--r--sys-auth/AusweisApp2/Manifest1
-rw-r--r--sys-auth/elogind/elogind-246.10-r2.ebuild147
-rw-r--r--sys-auth/elogind/files/elogind-246.10-clang-undefined-symbol.patch20
-rw-r--r--sys-auth/elogind/metadata.xml3
-rw-r--r--sys-auth/fprintd/Manifest1
-rw-r--r--sys-auth/fprintd/fprintd-1.94.0.ebuild3
-rw-r--r--sys-auth/fprintd/fprintd-1.94.1.ebuild96
-rw-r--r--sys-auth/libfprint/Manifest1
-rw-r--r--sys-auth/libfprint/files/libfprint-1.94.1-test-timeout.patch15
-rw-r--r--sys-auth/libfprint/libfprint-1.94.1-r1.ebuild7
-rw-r--r--sys-auth/libfprint/libfprint-1.94.2.ebuild54
-rw-r--r--sys-auth/nss-pam-ldapd/Manifest1
-rw-r--r--sys-auth/nss-pam-ldapd/nss-pam-ldapd-0.9.11-r3.ebuild6
-rw-r--r--sys-auth/nss-pam-ldapd/nss-pam-ldapd-0.9.12.ebuild171
-rw-r--r--sys-auth/pam_mysql/Manifest1
-rw-r--r--sys-auth/pam_mysql/pam_mysql-0.8.1-r2.ebuild47
-rw-r--r--sys-auth/pam_mysql/pam_mysql-0.8.2-r1.ebuild2
-rw-r--r--sys-auth/pambase/Manifest1
-rw-r--r--sys-auth/pambase/metadata.xml3
-rw-r--r--sys-auth/pambase/pambase-20210201.1.ebuild2
-rw-r--r--sys-auth/pambase/pambase-20211218-r1.ebuild112
-rw-r--r--sys-auth/pambase/pambase-999999999.ebuild7
-rw-r--r--sys-auth/passwdqc/Manifest2
-rw-r--r--sys-auth/passwdqc/passwdqc-2.0.0-r2.ebuild62
-rw-r--r--sys-auth/passwdqc/passwdqc-2.0.1-r2.ebuild62
-rw-r--r--sys-auth/passwdqc/passwdqc-2.0.2-r1.ebuild2
-rw-r--r--sys-auth/polkit-pkla-compat/polkit-pkla-compat-0.1-r1.ebuild (renamed from sys-auth/polkit-pkla-compat/polkit-pkla-compat-0.1.ebuild)12
-rw-r--r--sys-auth/polkit/files/polkit-0.120-meson.patch42
-rw-r--r--sys-auth/polkit/polkit-0.120-r1.ebuild7
-rw-r--r--sys-auth/seatd/Manifest1
-rw-r--r--sys-auth/seatd/metadata.xml28
-rw-r--r--sys-auth/seatd/seatd-0.6.3.ebuild57
-rw-r--r--sys-auth/seatd/seatd-9999.ebuild4
-rw-r--r--sys-auth/solo-python/Manifest2
-rw-r--r--sys-auth/solo-python/metadata.xml2
-rw-r--r--sys-auth/solo-python/solo-python-0.0.31.ebuild (renamed from sys-auth/solo-python/solo-python-0.0.30.ebuild)0
-rw-r--r--sys-auth/sssd/Manifest1
-rw-r--r--sys-auth/sssd/files/sssd-2.6.0-conditional-python-install.patch19
-rw-r--r--sys-auth/sssd/sssd-2.5.2-r2.ebuild (renamed from sys-auth/sssd/sssd-2.5.2-r1.ebuild)5
-rw-r--r--sys-auth/sssd/sssd-2.6.0-r1.ebuild291
-rw-r--r--sys-auth/ykneo-ccid-tools/Manifest1
-rw-r--r--sys-auth/ykneo-ccid-tools/files/ykneo-ccid-tools-0.0.0-string.patch11
-rw-r--r--sys-auth/ykneo-ccid-tools/metadata.xml8
-rw-r--r--sys-auth/ykneo-ccid-tools/ykneo-ccid-tools-0.0.0.ebuild26
-rw-r--r--sys-auth/yubico-piv-tool/Manifest1
-rw-r--r--sys-auth/yubico-piv-tool/files/yubico-piv-tool-2.2.1-openssl3.patch32
-rw-r--r--sys-auth/yubico-piv-tool/yubico-piv-tool-2.2.0-r1.ebuild52
-rw-r--r--sys-auth/yubico-piv-tool/yubico-piv-tool-2.2.1.ebuild5
49 files changed, 1172 insertions, 312 deletions
diff --git a/sys-auth/AusweisApp2/AusweisApp2-1.22.3.ebuild b/sys-auth/AusweisApp2/AusweisApp2-1.22.3.ebuild
new file mode 100644
index 00000000000..fd2f4d5730d
--- /dev/null
+++ b/sys-auth/AusweisApp2/AusweisApp2-1.22.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg-utils
+
+DESCRIPTION="Official authentication app for German ID cards and residence permits"
+HOMEPAGE="https://www.ausweisapp.bund.de/"
+SRC_URI="https://github.com/Governikus/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="EUPL-1.2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ dev-qt/linguist-tools:5
+ virtual/pkgconfig"
+
+RDEPEND="
+ dev-libs/openssl:0=
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtquickcontrols2:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwebsockets:5[qml]
+ dev-qt/qtwidgets:5
+ net-libs/http-parser:0=
+ sys-apps/pcsc-lite
+ virtual/udev"
+
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ local mycmakeargs=( -DBUILD_SHARED_LIBS=OFF )
+ cmake_src_configure
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
diff --git a/sys-auth/AusweisApp2/Manifest b/sys-auth/AusweisApp2/Manifest
index edde4b8c62a..6205951b224 100644
--- a/sys-auth/AusweisApp2/Manifest
+++ b/sys-auth/AusweisApp2/Manifest
@@ -1 +1,2 @@
DIST AusweisApp2-1.22.2.tar.gz 10886670 BLAKE2B b3ab93549da146bb4108b4fa6981deb8e02c9f6143b8c5cf00f302999ded95e32db0a2180242b83558fbbe49101d385fc067b89554848de12872e6af3d82d4d2 SHA512 1ec777e2b4bef67fd7727ab21bfa2aeb5ad1e615b232fa8a3640fe3d6193a4f050f1824f421d9410d94c4e591fe46b48e1544701752724e4e300086f5cb9f27a
+DIST AusweisApp2-1.22.3.tar.gz 10970793 BLAKE2B d6b3b3fb0005715150557f30a45002a90fc303c74706dc5714a1de239fb19a22552905aa9490f8c55cccc2d99eb46d077d424886eadcbb3d2574cdeb3f472ba2 SHA512 a8f654e66a47bb93116dfbe7941917f483c651deb947b8e4d287888d999551bc781e105b1cbf5d4445aa2241af542342f8c0f4edef7a4470a5366561f6f74b7a
diff --git a/sys-auth/elogind/elogind-246.10-r2.ebuild b/sys-auth/elogind/elogind-246.10-r2.ebuild
new file mode 100644
index 00000000000..162fc9da9b3
--- /dev/null
+++ b/sys-auth/elogind/elogind-246.10-r2.ebuild
@@ -0,0 +1,147 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} = *9999* ]]; then
+ EGIT_BRANCH="v241-stable"
+ EGIT_REPO_URI="https://github.com/elogind/elogind.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+inherit linux-info meson pam udev xdg-utils
+
+DESCRIPTION="The systemd project's logind, extracted to a standalone package"
+HOMEPAGE="https://github.com/elogind/elogind"
+
+LICENSE="CC0-1.0 LGPL-2.1+ public-domain"
+SLOT="0"
+IUSE="+acl audit +cgroup-hybrid debug doc +pam +policykit selinux"
+
+BDEPEND="
+ app-text/docbook-xml-dtd:4.2
+ app-text/docbook-xml-dtd:4.5
+ app-text/docbook-xsl-stylesheets
+ dev-util/gperf
+ dev-util/intltool
+ virtual/pkgconfig
+"
+DEPEND="
+ audit? ( sys-process/audit )
+ sys-apps/util-linux
+ sys-libs/libcap
+ virtual/libudev:=
+ acl? ( sys-apps/acl )
+ pam? ( sys-libs/pam )
+ selinux? ( sys-libs/libselinux )
+"
+RDEPEND="${DEPEND}
+ !sys-apps/systemd
+"
+PDEPEND="
+ sys-apps/dbus
+ policykit? ( sys-auth/polkit )
+"
+
+DOCS=( README.md src/libelogind/sd-bus/GVARIANT-SERIALIZATION )
+
+PATCHES=(
+ "${FILESDIR}/${PN}-243.7-nodocs.patch"
+ "${FILESDIR}/${PN}-241.4-broken-test.patch" # bug 699116
+ "${FILESDIR}/${P}-revert-polkit-automagic.patch"
+ "${FILESDIR}/${P}-clang-undefined-symbol.patch"
+)
+
+pkg_setup() {
+ local CONFIG_CHECK="~CGROUPS ~EPOLL ~INOTIFY_USER ~SIGNALFD ~TIMERFD"
+
+ use kernel_linux && linux-info_pkg_setup
+}
+
+src_prepare() {
+ default
+ xdg_environment_reset
+}
+
+src_configure() {
+ if use cgroup-hybrid; then
+ cgroupmode="hybrid"
+ else
+ cgroupmode="unified"
+ fi
+
+ local emesonargs=(
+ -Ddocdir="${EPREFIX}/usr/share/doc/${PF}"
+ -Dhtmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+ -Dpamlibdir=$(getpam_mod_dir)
+ -Dudevrulesdir="${EPREFIX}$(get_udevdir)"/rules.d
+ --libdir="${EPREFIX}"/usr/$(get_libdir)
+ -Drootlibdir="${EPREFIX}"/$(get_libdir)
+ -Drootlibexecdir="${EPREFIX}"/$(get_libdir)/elogind
+ -Drootprefix="${EPREFIX}/"
+ -Dbashcompletiondir="${EPREFIX}/usr/share/bash-completion/completions"
+ -Dman=auto
+ -Dsmack=true
+ -Dcgroup-controller=openrc
+ -Ddefault-hierarchy=${cgroupmode}
+ -Ddefault-kill-user-processes=false
+ -Dacl=$(usex acl true false)
+ -Daudit=$(usex audit true false)
+ --buildtype $(usex debug debug release)
+ -Dhtml=$(usex doc auto false)
+ -Dpam=$(usex pam true false)
+ -Dselinux=$(usex selinux true false)
+ -Dutmp=$(usex elibc_musl false true)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ DOCS+=( src/libelogind/sd-bus/GVARIANT-SERIALIZATION )
+
+ meson_src_install
+
+ newinitd "${FILESDIR}"/${PN}.init-r1 ${PN}
+
+ sed -e "s|@libdir@|$(get_libdir)|" "${FILESDIR}"/${PN}.conf.in > ${PN}.conf || die
+ newconfd ${PN}.conf ${PN}
+}
+
+pkg_postinst() {
+ if ! use pam; then
+ ewarn "${PN} will not be managing user logins/seats without USE=\"pam\"!"
+ ewarn "In other words, it will be useless for most applications."
+ ewarn
+ fi
+ if ! use policykit; then
+ ewarn "loginctl will not be able to perform privileged operations without"
+ ewarn "USE=\"policykit\"! That means e.g. no suspend or hibernate."
+ ewarn
+ fi
+ if [[ "$(rc-config list boot | grep elogind)" != "" ]]; then
+ elog "elogind is currently started from boot runlevel."
+ elif [[ "$(rc-config list default | grep elogind)" != "" ]]; then
+ ewarn "elogind is currently started from default runlevel."
+ ewarn "Please remove elogind from the default runlevel and"
+ ewarn "add it to the boot runlevel by:"
+ ewarn "# rc-update del elogind default"
+ ewarn "# rc-update add elogind boot"
+ else
+ elog "elogind is currently not started from any runlevel."
+ elog "You may add it to the boot runlevel by:"
+ elog "# rc-update add elogind boot"
+ elog
+ elog "Alternatively, you can leave elogind out of any"
+ elog "runlevel. It will then be started automatically"
+ if use pam; then
+ elog "when the first service calls it via dbus, or"
+ elog "the first user logs into the system."
+ else
+ elog "when the first service calls it via dbus."
+ fi
+ fi
+}
diff --git a/sys-auth/elogind/files/elogind-246.10-clang-undefined-symbol.patch b/sys-auth/elogind/files/elogind-246.10-clang-undefined-symbol.patch
new file mode 100644
index 00000000000..3a157615884
--- /dev/null
+++ b/sys-auth/elogind/files/elogind-246.10-clang-undefined-symbol.patch
@@ -0,0 +1,20 @@
+--- a/src/libelogind/sd-bus/bus-error.h
++++ b/src/libelogind/sd-bus/bus-error.h
+@@ -28,11 +28,17 @@ int bus_error_set_errnofv(sd_bus_error *e, int error, const char *format, va_lis
+ * the bus error table, and BUS_ERROR_MAP_ELF_USE has to be used at
+ * least once per compilation unit (i.e. per library), to ensure that
+ * the error map is really added to the final binary.
++ *
++ * In addition, set the retain attribute so that the section cannot be
++ * discarded by ld --gc-sections -z start-stop-gc. Older compilers would
++ * warn for the unknown attribute, so just disable -Wattributes.
+ */
+
+ #define BUS_ERROR_MAP_ELF_REGISTER \
++ _Pragma("GCC diagnostic ignored \"-Wattributes\"") \
+ _section_("SYSTEMD_BUS_ERROR_MAP") \
+ _used_ \
++ __attribute__((retain)) \
+ _alignptr_ \
+ _variable_no_sanitize_address_
+
diff --git a/sys-auth/elogind/metadata.xml b/sys-auth/elogind/metadata.xml
index 160c728b5cf..858ca09dddc 100644
--- a/sys-auth/elogind/metadata.xml
+++ b/sys-auth/elogind/metadata.xml
@@ -11,6 +11,9 @@
<email>slashbeast@gentoo.org</email>
<name>Piotr Karbowski</name>
</maintainer>
+ <use>
+ <flag name="cgroup-hybrid">Use hybrid cgroup hierarchy (OpenRC's default) instead of unified.</flag>
+ </use>
<upstream>
<remote-id type="github">elogind/elogind</remote-id>
</upstream>
diff --git a/sys-auth/fprintd/Manifest b/sys-auth/fprintd/Manifest
index 9360412d9a6..b3795ab22ad 100644
--- a/sys-auth/fprintd/Manifest
+++ b/sys-auth/fprintd/Manifest
@@ -3,3 +3,4 @@ DIST fprintd-v1.90.8.tar.bz2 635139 BLAKE2B 4f9e5c395c32dd5de3f5ed4d17e81c28a55d
DIST fprintd-v1.90.9.tar.bz2 636538 BLAKE2B 8a2150887282aae722d143ec96a9c0c3b5dd066e4cba30c41d49b6f6afe95c26c585aec2d9b074d65dd1a3efd462dae294a98965a020c4e55a8cda7c00a827bb SHA512 2b0f3e5812dd29df2b78ff6082c75981c28af71fc07e19e7eb4743842562e7d5bfc0655d5fbb66bfb167bc3087100bd0f154257ad936eab03e9e8ccc2410481f
DIST fprintd-v1.92.0.tar.bz2 651377 BLAKE2B 39db660e3203b08c1233b9711f56c5b4539f1dff4f8cd9554dce4ce055e2fd2a63dc5e8792808232f86906bf1b7d15a7f155e67ddd49a98ff92ac75b4bd712f4 SHA512 e3fcf948321bf82398f06cca33cb29745c7fc38421025c9340dc85ba2ffb87e63f9546aae721ae72ad0c6f4268a856d60cd57089238d5c92e14b31de215f17d1
DIST fprintd-v1.94.0.tar.bz2 656308 BLAKE2B f64f92af51f2d3eda059640cdfa88b26ca12326b3082e9489f6d807ec566aced86e1d19a59ad247ec2aaa6e6a90dd3d030c18e062e39143a1d4110e62e7ad03d SHA512 1ab8cf93d10317201c3f83880b9e6de4a391c2a12afe29725ae3556a7b0108a374eb96f6b2b5be69c01c386f62e3543e3f9a974867256c99e690dd19bdd5778d
+DIST fprintd-v1.94.1.tar.bz2 658149 BLAKE2B 734da268e308b08b04cbc661d889f52c4e8b2dd61d7a67961eaba5a6aa130f6972525820a17e8b6dd53d38508629139a5a0be20b69eaea45430cc60da5cd9a27 SHA512 ff22087e09ab9f75e458e71f595d611ea97240596a25bd96f41a0fb1de865336f8c2edbd49d5e7c8132a7e554d8311337ec02991dde358cba1962d4cb182447d
diff --git a/sys-auth/fprintd/fprintd-1.94.0.ebuild b/sys-auth/fprintd/fprintd-1.94.0.ebuild
index d3f73d28d4f..7774c1f7801 100644
--- a/sys-auth/fprintd/fprintd-1.94.0.ebuild
+++ b/sys-auth/fprintd/fprintd-1.94.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://gitlab.freedesktop.org/libfprint/${PN}/-/archive/v${PV}/${MY_P}
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~ia64 ~ppc ~sparc x86"
IUSE="doc pam systemd test"
RESTRICT="!test? ( test )"
@@ -42,6 +42,7 @@ DEPEND="
BDEPEND="
dev-lang/perl
+ dev-util/gdbus-codegen
virtual/pkgconfig
doc? (
dev-libs/libxml2
diff --git a/sys-auth/fprintd/fprintd-1.94.1.ebuild b/sys-auth/fprintd/fprintd-1.94.1.ebuild
new file mode 100644
index 00000000000..8a0c86a7839
--- /dev/null
+++ b/sys-auth/fprintd/fprintd-1.94.1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit meson pam python-any-r1 systemd
+
+MY_P="${PN}-v${PV}"
+DESCRIPTION="D-Bus service to access fingerprint readers"
+HOMEPAGE="https://gitlab.freedesktop.org/libfprint/fprintd"
+SRC_URI="https://gitlab.freedesktop.org/libfprint/${PN}/-/archive/v${PV}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~sparc ~x86"
+IUSE="doc pam systemd test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-libs/dbus-glib
+ dev-libs/glib:2
+ >=sys-auth/libfprint-1.94.0:2
+ sys-auth/polkit
+ pam? (
+ sys-libs/pam
+ systemd? ( sys-apps/systemd )
+ !systemd? ( sys-auth/elogind )
+ )"
+
+DEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_any_dep '
+ dev-python/python-dbusmock[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/pycairo[${PYTHON_USEDEP}]
+ pam? ( sys-libs/pam_wrapper[${PYTHON_USEDEP}] )
+ ')
+ )"
+
+BDEPEND="
+ dev-lang/perl
+ dev-util/gdbus-codegen
+ virtual/pkgconfig
+ doc? (
+ dev-libs/libxml2
+ dev-libs/libxslt
+ dev-util/gtk-doc
+ )"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.90.7_0001-add-test-feature-and-make-tests-optional.patch"
+ "${FILESDIR}/${PN}-1.90.8_0002-add-configure-option-for-libsystemd-provider.patch"
+)
+
+S="${WORKDIR}/${MY_P}"
+
+python_check_deps() {
+ if use test; then
+ has_version -d "sys-libs/pam_wrapper[${PYTHON_USEDEP}]"
+ fi
+
+ has_version -d "dev-python/python-dbusmock[${PYTHON_USEDEP}]" &&
+ has_version -d "dev-python/dbus-python[${PYTHON_USEDEP}]" &&
+ has_version -d "dev-python/pycairo[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_feature test)
+ $(meson_use pam)
+ -Dgtk_doc=$(usex doc true false)
+ -Dman=true
+ -Dsystemd_system_unit_dir=$(systemd_get_systemunitdir)
+ -Dpam_modules_dir=$(getpam_mod_dir)
+ -Dlibsystemd=$(usex systemd libsystemd libelogind)
+ )
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ dodoc AUTHORS NEWS README TODO
+ newdoc pam/README README.pam_fprintd
+}
+
+pkg_postinst() {
+ elog "Please take a look at README.pam_fprintd for integration docs."
+}
diff --git a/sys-auth/libfprint/Manifest b/sys-auth/libfprint/Manifest
index 94b52c4e2ac..f974044c669 100644
--- a/sys-auth/libfprint/Manifest
+++ b/sys-auth/libfprint/Manifest
@@ -2,3 +2,4 @@ DIST libfprint-1.0.tar.gz 475347 BLAKE2B cb560898cec11861c4529c0c37c328f74eaf271
DIST libfprint-1.90.7.tar.gz 6375722 BLAKE2B d0cb085c3846e870ff31dc346b8e138ab994f03e428aa1887066e56243d10179f3674538841edc75e02c8b58fc9a2ea1e97999fa919bad033aa52c88742948fd SHA512 2781ebb337cbd37affe203a7d054651abc7de4f2f450cddfb78a29e4f93e6a698dd950cc9be7112f43c5a892309e75b11e46cdcb60359859aae3811468adc8af
DIST libfprint-1.92.0.tar.gz 8434928 BLAKE2B eba5d103a7ffc1d297bc276baac1f55dcc308bc18a4507fa53552044eb1a57bdb04cab0d81ee1b4022b5407f3cea06f72a686eac1b1cc5b178258b33e81b9216 SHA512 5f802aa65525bbe1c057053f9752052fe8f4e614ec22d373339cba42396a4e7ffe9cbdf7a7b732729e9aac7a4cde42fb5156949e83c574a30c0ad7b23ae4bc38
DIST libfprint-1.94.1.tar.gz 10405046 BLAKE2B a46af62d3f7f8ad7f0815cecbd2a8c68c212e13785b968b0f0304473db5f4b7eb67d0bb74411c4828a51b9c22f6c86bd08ad564db623acf31715a1d0f7aa8389 SHA512 bae1de8378b9fb8fed1e292d96637a1e4a1c99a5a3f7735dae036eddb022bea2b5646bebf610b714338d4645e73b0968b14c20b1992d77d83a60c939c1509b44
+DIST libfprint-1.94.2.tar.gz 10408161 BLAKE2B 24a1193f1cf81f8bfc5ee22bd7698a0ecc70aa2592ad4db4cbb45fd5f3da69d02f6688429bc60741ea64db409414f0add73259a61e39e27a0982fc9685f02b69 SHA512 e0d2deecbf84cb98024a8537378860385402633db1d41848554fb99d7b95d07dc1a55c332bdf58fd4fcc043ff60bf2c1d09b6f419d82dac31569ad73e7fdc3c0
diff --git a/sys-auth/libfprint/files/libfprint-1.94.1-test-timeout.patch b/sys-auth/libfprint/files/libfprint-1.94.1-test-timeout.patch
new file mode 100644
index 00000000000..cc5080e2a14
--- /dev/null
+++ b/sys-auth/libfprint/files/libfprint-1.94.1-test-timeout.patch
@@ -0,0 +1,15 @@
+Although most libfprint tests are vert quick, several of the VirtualImage
+ones come very close to the default time-out threshold of 30 seconds.
+Increase the relevant threshold to 45 seconds to make those tests less
+sensitive to CPU frequency, system load etc.
+
+--- a/tests/meson.build
++++ b/tests/meson.build
+@@ -88,6 +88,7 @@
+ suite: ut_suite,
+ depends: libfprint_typelib,
+ env: envs,
++ timeout: 45,
+ )
+ endforeach
+ else
diff --git a/sys-auth/libfprint/libfprint-1.94.1-r1.ebuild b/sys-auth/libfprint/libfprint-1.94.1-r1.ebuild
index 3b98a35777f..306f7e0104f 100644
--- a/sys-auth/libfprint/libfprint-1.94.1-r1.ebuild
+++ b/sys-auth/libfprint/libfprint-1.94.1-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/freedesktop/libfprint/archive/refs/tags/v${PV}.tar.g
LICENSE="LGPL-2.1+"
SLOT="2"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc x86"
IUSE="examples gtk-doc +introspection"
RDEPEND="
@@ -35,7 +35,10 @@ BDEPEND="
introspection? ( dev-libs/gobject-introspection )
"
-PATCHES=( ${FILESDIR}/${PN}-0.8.2-fix-implicit-declaration.patch )
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.8.2-fix-implicit-declaration.patch
+ "${FILESDIR}"/${PN}-1.94.1-test-timeout.patch
+)
src_configure() {
local emesonargs=(
diff --git a/sys-auth/libfprint/libfprint-1.94.2.ebuild b/sys-auth/libfprint/libfprint-1.94.2.ebuild
new file mode 100644
index 00000000000..121f7118403
--- /dev/null
+++ b/sys-auth/libfprint/libfprint-1.94.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson udev
+
+DESCRIPTION="Library to add support for consumer fingerprint readers"
+HOMEPAGE="https://cgit.freedesktop.org/libfprint/libfprint/ https://github.com/freedesktop/libfprint https://gitlab.freedesktop.org/libfprint/libfprint"
+SRC_URI="https://github.com/freedesktop/libfprint/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples gtk-doc +introspection"
+
+RDEPEND="
+ dev-libs/glib:2
+ dev-libs/libgudev
+ dev-libs/libgusb
+ dev-libs/nss
+ virtual/libusb:1=
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXv
+ x11-libs/pixman
+ !>=sys-auth/libfprint-1.90:0
+"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+ virtual/pkgconfig
+ gtk-doc? ( dev-util/gtk-doc )
+ introspection? ( dev-libs/gobject-introspection )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.8.2-fix-implicit-declaration.patch
+ "${FILESDIR}"/${PN}-1.94.1-test-timeout.patch
+)
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use examples gtk-examples)
+ $(meson_use gtk-doc doc)
+ $(meson_use introspection)
+ -Ddrivers=all
+ -Dudev_rules=enabled
+ -Dudev_rules_dir=$(get_udevdir)/rules.d
+ --libdir=/usr/$(get_libdir)
+ )
+ meson_src_configure
+}
diff --git a/sys-auth/nss-pam-ldapd/Manifest b/sys-auth/nss-pam-ldapd/Manifest
index 50faf9e717f..1719a7b9184 100644
--- a/sys-auth/nss-pam-ldapd/Manifest
+++ b/sys-auth/nss-pam-ldapd/Manifest
@@ -1 +1,2 @@
DIST nss-pam-ldapd-0.9.11.tar.gz 777878 BLAKE2B c2b442786dd788dcf4373939ed52b4585d1821a7168fdd342ded3c99ef9ac8f3e4af0ac360f842b61885c1f2bc2ef85a0ce9ce0c1027bc974d0ba5242505657f SHA512 2b307805667526b85c724e113fe38899eee397e5c8673e89090d4836ce6d0ffcf18dd022d6c20a5e11d4138e736451b841a0f16ba379d524de4faaaf02906645
+DIST nss-pam-ldapd-0.9.12.tar.gz 791983 BLAKE2B af580d400230db709f7ac09720edd6127b3b26c6987d1e8f6d6535ad8e68fd8cb5cf2a3319e4456fb2af28aba6528f7a5cdc28463ccfee747dbbf6abc35eee87 SHA512 5eca4851a9bcb2779548d193a363a143d6106bfc6463b8d3f0c2d5d7d227ec1e680861383d4813f40b44d1be2ce5f7ed019d838f7f6796e15f96f7411d3bb8f6
diff --git a/sys-auth/nss-pam-ldapd/nss-pam-ldapd-0.9.11-r3.ebuild b/sys-auth/nss-pam-ldapd/nss-pam-ldapd-0.9.11-r3.ebuild
index e5b27e992d0..ec02a5427df 100644
--- a/sys-auth/nss-pam-ldapd/nss-pam-ldapd-0.9.11-r3.ebuild
+++ b/sys-auth/nss-pam-ldapd/nss-pam-ldapd-0.9.11-r3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=(python3_{7..9})
+PYTHON_COMPAT=( python3_{8..10} )
inherit prefix python-r1 autotools multilib multilib-minimal systemd s6 tmpfiles
DESCRIPTION="NSS module for name lookups using LDAP"
@@ -73,7 +73,7 @@ multilib_src_configure() {
--with-ldap-conf-file=/etc/nslcd.conf
--with-nslcd-pidfile=/run/nslcd/nslcd.pid
--with-nslcd-socket=/run/nslcd/socket
- $(usex x86-fbsd '--with-nss-flavour=' '--with-nss-flavour=' 'freebsd' 'glibc')
+ --with-nss-flavour=glibc
$(use_enable pynslcd)
$(use_enable debug)
$(use_enable kerberos)
diff --git a/sys-auth/nss-pam-ldapd/nss-pam-ldapd-0.9.12.ebuild b/sys-auth/nss-pam-ldapd/nss-pam-ldapd-0.9.12.ebuild
new file mode 100644
index 00000000000..ec02a5427df
--- /dev/null
+++ b/sys-auth/nss-pam-ldapd/nss-pam-ldapd-0.9.12.ebuild
@@ -0,0 +1,171 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit prefix python-r1 autotools multilib multilib-minimal systemd s6 tmpfiles
+
+DESCRIPTION="NSS module for name lookups using LDAP"
+HOMEPAGE="https://arthurdejong.org/nss-pam-ldapd/"
+SRC_URI="https://arthurdejong.org/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="debug kerberos +pam pynslcd sasl test +utils"
+RESTRICT="!test? ( test )"
+
+COMMON_DEP="
+ acct-group/nslcd
+ acct-user/nslcd
+ net-nds/openldap[${MULTILIB_USEDEP}]
+ sasl? ( dev-libs/cyrus-sasl[${MULTILIB_USEDEP}] )
+ kerberos? ( virtual/krb5[${MULTILIB_USEDEP}] )
+ sys-libs/pam[${MULTILIB_USEDEP}]
+ utils? ( ${PYTHON_DEPS} )
+ pynslcd? (
+ dev-python/python-ldap[${PYTHON_USEDEP}]
+ dev-python/python-daemon[${PYTHON_USEDEP}]
+ )
+ !sys-auth/nss_ldap
+ !sys-auth/pam_ldap
+"
+RDEPEND="${COMMON_DEP}"
+DEPEND="${COMMON_DEP}
+ test? (
+ ${PYTHON_DEPS}
+ dev-python/pylint[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ sys-devel/automake
+"
+
+REQUIRED_USE="
+ utils? ( ${PYTHON_REQUIRED_USE} )
+ test? ( ${PYTHON_REQUIRED_USE} pynslcd )
+"
+
+PATCHES=(
+ "${FILESDIR}/nss-pam-ldapd-0.9.4-disable-py3-only-linters.patch"
+ "${FILESDIR}/nss-pam-ldapd-0.9.11-use-mkstemp.patch"
+ "${FILESDIR}/nss-pam-ldapd-0.9.11-relative-imports.patch"
+ "${FILESDIR}/nss-pam-ldapd-0.9.11-tests.patch"
+ "${FILESDIR}/nss-pam-ldapd-0.9.11-tests-py39.patch"
+)
+
+src_prepare() {
+ default
+ use utils && python_setup
+ touch pynslcd/__init__.py || die "Could not create __init__.py for pynslcd"
+ mv pynslcd/pynslcd.py pynslcd/main.py || die
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local -a myconf=(
+ --disable-utils
+ --enable-warnings
+ --with-ldap-lib=openldap
+ --with-ldap-conf-file=/etc/nslcd.conf
+ --with-nslcd-pidfile=/run/nslcd/nslcd.pid
+ --with-nslcd-socket=/run/nslcd/socket
+ --with-nss-flavour=glibc
+ $(use_enable pynslcd)
+ $(use_enable debug)
+ $(use_enable kerberos)
+ $(use_enable pam)
+ $(use_enable sasl)
+ )
+
+ # nss libraries always go in /lib on Gentoo
+ if multilib_is_native_abi ; then
+ myconf+=("--with-pam-seclib-dir=${EPREFIX}/$(get_libdir)/security")
+ myconf+=("--libdir=${EPREFIX}/$(get_libdir)")
+ else
+ myconf+=("--with-pam-seclib-dir=/$(get_libdir)/security")
+ myconf+=("--libdir=/$(get_libdir)")
+ fi
+
+ ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_test() {
+ pushd "${BUILD_DIR}" >/dev/null || die
+ ln -s ../pynslcd/constants.py utils/constants.py || die
+ python_foreach_impl python_test
+ popd >/dev/null || die
+}
+
+python_test() {
+ cp -l "${S}"/pynslcd/*.py pynslcd/ || die "Could not copy python files for tests"
+ nonfatal emake check || die "tests failed with ${EPYTHON}"
+}
+
+multilib_src_install_all() {
+ local script
+
+ newinitd "${FILESDIR}"/nslcd.init nslcd
+ s6_install_service nslcd "${FILESDIR}"/nslcd.s6
+
+ insinto /usr/share/nss-pam-ldapd
+ doins "${WORKDIR}/${P}/nslcd.conf"
+
+ fperms o-r /etc/nslcd.conf
+
+ if use utils; then
+ python_moduleinto nslcd
+ python_foreach_impl python_domodule utils/*.py
+
+ for script in chsh getent; do
+ python_foreach_impl python_newscript utils/${script}.py ${script}.ldap
+ done
+ fi
+ if use pynslcd; then
+ rm -rf "${D}"/usr/share/pynslcd
+ python_moduleinto pynslcd
+ python_foreach_impl python_domodule pynslcd/*.py
+ python_scriptinto /usr/sbin
+ python_foreach_impl python_newscript pynslcd/main.py pynslcd
+ newinitd "${FILESDIR}"/pynslcd.init pynslcd
+ fi
+
+ newtmpfiles "${FILESDIR}"/nslcd-tmpfiles.conf nslcd.conf
+ systemd_newunit "${FILESDIR}"/nslcd.service nslcd.service
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+
+ if use pynslcd; then
+ python_moduleinto pynslcd
+ python_foreach_impl python_domodule pynslcd/*.py
+ fi
+}
+
+pkg_postinst() {
+ tmpfiles_process nslcd.conf
+
+ echo
+ elog "For this to work you must configure /etc/nslcd.conf"
+ elog "This configuration is similar to pam_ldap's /etc/ldap.conf"
+ echo
+ elog "In order to use nss-pam-ldapd, nslcd needs to be running. You can"
+ elog "start it like this:"
+ elog " # /etc/init.d/nslcd start"
+ echo
+ elog "You can add it to the default runlevel like so:"
+ elog " # rc-update add nslcd default"
+ elog
+ elog "If you have >=sys-apps/openrc-0.16.3, you can also use s6"
+ elog "to supervise this service."
+ elog "To do this, emerge sys-apps/s6 then add nslcd-s6"
+ elog "default runlevel instead of nslcd."
+ elog
+ elog "If you are upgrading, keep in mind that /etc/nss-ldapd.conf"
+ elog " is now named /etc/nslcd.conf"
+ echo
+}
diff --git a/sys-auth/pam_mysql/Manifest b/sys-auth/pam_mysql/Manifest
index 03adbed3fb5..62b7669b172 100644
--- a/sys-auth/pam_mysql/Manifest
+++ b/sys-auth/pam_mysql/Manifest
@@ -1,2 +1 @@
-DIST pam_mysql-0.8.1.tar.gz 49613 BLAKE2B 1e3f6b0c8a11c8d328300fc820ddbbcd1601735de611e9317aab8f26ab2fbcf0f704e7a2c26de347fe9c4088c8171f0c278cd92e1668671871e5cd79db981241 SHA512 68aecc83c026c7616211a46b80f96fe822c8bd069a5ab6e9b170607bddac0dabe20410f78a1ac61ca1c1b2724ed0f0d99694d34bf28763270da3771c9ef05faf
DIST pam_mysql-0.8.2.tar.gz 55023 BLAKE2B 2b278dc8cff229dd9fe9da2316f51838e6b9d57714dc07c7dfe85142ac4bb2e6c3a3de7eed7ab34917c08a07197c187434211cb7841c85f4c8d2d088309bae3a SHA512 268dd721554bc15125b6ea95b3f7b7a5f4ebf772e0ad65b6cf53d7e23d6154f10d916da774ea338a6b75427b2a6ada2b4730a57a88a15abea62a0454e7c5ea1e
diff --git a/sys-auth/pam_mysql/pam_mysql-0.8.1-r2.ebuild b/sys-auth/pam_mysql/pam_mysql-0.8.1-r2.ebuild
deleted file mode 100644
index f4493e838aa..00000000000
--- a/sys-auth/pam_mysql/pam_mysql-0.8.1-r2.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-inherit autotools pam
-
-DESCRIPTION="pam_mysql is a module for pam to authenticate users with mysql"
-HOMEPAGE="https://github.com/NigelCunningham/pam-MySQL"
-SRC_URI="https://github.com/NigelCunningham/pam-MySQL/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/pam-MySQL-${PV}"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 ppc ~sparc x86"
-IUSE="openssl"
-
-DEPEND="
- >=sys-libs/pam-0.72:0=
- dev-db/mysql-connector-c:0=
- virtual/libcrypt:=
- openssl? ( dev-libs/openssl:0= )
-"
-RDEPEND="${DEPEND}"
-
-DOCS=( AUTHORS ChangeLog NEWS README )
-
-src_prepare() {
- default
-
- eautoreconf
-}
-
-src_configure() {
- local myeconfargs=(
- --with-pam-mods-dir="$(getpam_mod_dir)"
- $(use_with openssl)
- )
-
- econf "${myeconfargs[@]}"
-}
-
-src_install() {
- default
-
- find "${ED}" -name '*.la' -delete || die
-}
diff --git a/sys-auth/pam_mysql/pam_mysql-0.8.2-r1.ebuild b/sys-auth/pam_mysql/pam_mysql-0.8.2-r1.ebuild
index 6390e33505a..c9270b89314 100644
--- a/sys-auth/pam_mysql/pam_mysql-0.8.2-r1.ebuild
+++ b/sys-auth/pam_mysql/pam_mysql-0.8.2-r1.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/pam-MySQL-${PV}"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
+KEYWORDS="~alpha amd64 ppc ~sparc x86"
IUSE="openssl"
DEPEND="
diff --git a/sys-auth/pambase/Manifest b/sys-auth/pambase/Manifest
index dc78641eaa3..b7c2dd432d1 100644
--- a/sys-auth/pambase/Manifest
+++ b/sys-auth/pambase/Manifest
@@ -1 +1,2 @@
DIST pambase-20210201.1.tar.gz 3345 BLAKE2B bc12164181de98b3c5b8ed3b72bc6a84b5c6039f389a87da94e5cb9312fa4e221e6317bcd496d5c634c60cd6fbb8c8cd2f4b845687ef942a707fe687f5184afd SHA512 74ab4d7c19a20c088d667ae92e4dcb99b33584ba56df46184173432fd297bd47917494b81cb5ad3f5f49ad5a797c008527399f329e56f2799f5fc376eaa59236
+DIST pambase-20211218.tar.gz 3366 BLAKE2B b07ae0b8f9480e0ad456fcfbd46da008182dedf3542b14c27cbe5d65a68290898751cd3e5a59cb8f040ced6316a70cdbc7afdd54ef2965a20ba537c686f76b36 SHA512 8aaaf15f9f82ce9f717a988676d00435e60bada05927843967b505a972d96a2ab7bab9971bd5476b8a8bda76c7063fa4d452818a89eccd4066f65d3f1b2fb3d7
diff --git a/sys-auth/pambase/metadata.xml b/sys-auth/pambase/metadata.xml
index 2373f12897e..f2c911a6f82 100644
--- a/sys-auth/pambase/metadata.xml
+++ b/sys-auth/pambase/metadata.xml
@@ -68,6 +68,9 @@
will not be compatible with systems using an earlier glibc
version.
</flag>
+ <flag name="yescrypt">
+ Switch Linux-PAM's pam_unix module to use yescrypt for passwords hashes rather than MD5
+ </flag>
<flag name="pam_krb5">
Enable pam_krb5 module on system auth stack, as an alternative
to pam_unix. If Kerberos authentication succeed, only pam_unix
diff --git a/sys-auth/pambase/pambase-20210201.1.ebuild b/sys-auth/pambase/pambase-20210201.1.ebuild
index b4166689528..6b1d2ac83aa 100644
--- a/sys-auth/pambase/pambase-20210201.1.ebuild
+++ b/sys-auth/pambase/pambase-20210201.1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{7..10} )
inherit pam python-any-r1 readme.gentoo-r1
diff --git a/sys-auth/pambase/pambase-20211218-r1.ebuild b/sys-auth/pambase/pambase-20211218-r1.ebuild
new file mode 100644
index 00000000000..5719f207d53
--- /dev/null
+++ b/sys-auth/pambase/pambase-20211218-r1.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit pam python-any-r1 readme.gentoo-r1
+
+DESCRIPTION="PAM base configuration files"
+HOMEPAGE="https://github.com/gentoo/pambase"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/gentoo/pambase.git"
+else
+ SRC_URI="https://github.com/gentoo/pambase/archive/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+ S="${WORKDIR}/${PN}-${P}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="caps debug elogind gnome-keyring homed minimal mktemp +nullok pam_krb5 pam_ssh +passwdqc pwhistory pwquality securetty selinux +sha512 systemd yescrypt"
+
+RESTRICT="binchecks"
+
+REQUIRED_USE="
+ ?? ( elogind systemd )
+ ?? ( passwdqc pwquality )
+ ?? ( sha512 yescrypt )
+ pwhistory? ( || ( passwdqc pwquality ) )
+ homed? ( !pam_krb5 )
+ pam_krb5? ( !homed )
+"
+
+MIN_PAM_REQ=1.4.0
+
+RDEPEND="
+ >=sys-libs/pam-${MIN_PAM_REQ}
+ elogind? ( sys-auth/elogind[pam] )
+ gnome-keyring? ( gnome-base/gnome-keyring[pam] )
+ mktemp? ( sys-auth/pam_mktemp )
+ pam_krb5? (
+ >=sys-libs/pam-${MIN_PAM_REQ}
+ sys-auth/pam_krb5
+ )
+ caps? ( sys-libs/libcap[pam] )
+ pam_ssh? ( sys-auth/pam_ssh )
+ passwdqc? ( >=sys-auth/passwdqc-1.4.0-r1 )
+ pwquality? ( dev-libs/libpwquality[pam] )
+ selinux? ( sys-libs/pam[selinux] )
+ sha512? ( >=sys-libs/pam-${MIN_PAM_REQ} )
+ homed? ( sys-apps/systemd[homed] )
+ systemd? ( sys-apps/systemd[pam] )
+ yescrypt? ( sys-libs/libxcrypt[system] )
+"
+
+BDEPEND="$(python_gen_any_dep '
+ dev-python/jinja[${PYTHON_USEDEP}]
+ ')"
+
+python_check_deps() {
+ has_version -b "dev-python/jinja[${PYTHON_USEDEP}]"
+}
+
+src_configure() {
+ ${EPYTHON} ./${PN}.py \
+ $(usex caps '--caps' '') \
+ $(usex debug '--debug' '') \
+ $(usex elogind '--elogind' '') \
+ $(usex gnome-keyring '--gnome-keyring' '') \
+ $(usex homed '--homed' '') \
+ $(usex minimal '--minimal' '') \
+ $(usex mktemp '--mktemp' '') \
+ $(usex nullok '--nullok' '') \
+ $(usex pam_krb5 '--krb5' '') \
+ $(usex pam_ssh '--pam-ssh' '') \
+ $(usex passwdqc '--passwdqc' '') \
+ $(usex pwhistory '--pwhistory' '') \
+ $(usex pwquality '--pwquality' '') \
+ $(usex securetty '--securetty' '') \
+ $(usex selinux '--selinux' '') \
+ $(usex sha512 '--sha512' '') \
+ $(usex systemd '--systemd' '') \
+ $(usex yescrypt '--yescrypt' '') \
+ || die
+}
+
+src_test() { :; }
+
+src_install() {
+ local DOC_CONTENTS
+
+ if use passwdqc; then
+ DOC_CONTENTS="To amend the existing password policy please see the man 5 passwdqc.conf
+ page and then edit the /etc/security/passwdqc.conf file"
+ fi
+
+ if use pwquality; then
+ DOC_CONTENTS="To amend the existing password policy please see the man 5 pwquality.conf
+ page and then edit the /etc/security/pwquality.conf file"
+ fi
+
+ { use passwdqc || use pwquality; } && readme.gentoo_create_doc
+
+ dopamd -r stack/.
+}
+
+pkg_postinst() {
+ { use passwdqc || use pwquality; } && readme.gentoo_print_elog
+}
diff --git a/sys-auth/pambase/pambase-999999999.ebuild b/sys-auth/pambase/pambase-999999999.ebuild
index b4166689528..866bf899878 100644
--- a/sys-auth/pambase/pambase-999999999.ebuild
+++ b/sys-auth/pambase/pambase-999999999.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{7..10} )
inherit pam python-any-r1 readme.gentoo-r1
@@ -21,13 +21,14 @@ fi
LICENSE="MIT"
SLOT="0"
-IUSE="caps debug elogind gnome-keyring homed minimal mktemp +nullok pam_krb5 pam_ssh +passwdqc pwhistory pwquality securetty selinux +sha512 systemd"
+IUSE="caps debug elogind gnome-keyring homed minimal mktemp +nullok pam_krb5 pam_ssh +passwdqc pwhistory pwquality securetty selinux +sha512 systemd yescrypt"
RESTRICT="binchecks"
REQUIRED_USE="
?? ( elogind systemd )
?? ( passwdqc pwquality )
+ ?? ( sha512 yescrypt )
pwhistory? ( || ( passwdqc pwquality ) )
homed? ( !pam_krb5 )
pam_krb5? ( !homed )
@@ -52,6 +53,7 @@ RDEPEND="
sha512? ( >=sys-libs/pam-${MIN_PAM_REQ} )
homed? ( sys-apps/systemd[homed] )
systemd? ( sys-apps/systemd[pam] )
+ yescrypt? ( sys-libs/libxcrypt[system] )
"
BDEPEND="$(python_gen_any_dep '
@@ -81,6 +83,7 @@ src_configure() {
$(usex selinux '--selinux' '') \
$(usex sha512 '--sha512' '') \
$(usex systemd '--systemd' '') \
+ $(usex yescrypt '--yescrypt' '') \
|| die
}
diff --git a/sys-auth/passwdqc/Manifest b/sys-auth/passwdqc/Manifest
index 893919a690e..30e6dfcd0b5 100644
--- a/sys-auth/passwdqc/Manifest
+++ b/sys-auth/passwdqc/Manifest
@@ -1,4 +1,2 @@
DIST passwdqc-1.4.0.tar.gz 55219 BLAKE2B 3f96a2d219ee23f11db2ad8ba433eaa56b97a263ad1a49159e0356b779cb4486ec9aa74cd7002fdd6d273e5a7bae4fe1b94e02f60256d331e5afc30d63e81360 SHA512 b9be6632688a1d7d929ec546679a366a67d44e7841e106c7f739a8e0656842866125160c87b04c8e0b3189a3e85eb182aa789196f68925b2f8ec71cd6a479800
-DIST passwdqc-2.0.0.tar.gz 86235 BLAKE2B fa67007ca0477feafd8743eda0899b7e348bf75e00e7ff23b6acdf56a456d75bec89a4b7dead41d7889610669425ff0145d6e7c94db0ce93219de0c5c0b80909 SHA512 7e5c0a32361d604c47ad02f36beff3287f638f2911b398a21b89cea164bf9a161b3bc252e9c660eaa53c5e5fce458d1cb1fd6b2bb308bafdb729c9d7e67f5295
-DIST passwdqc-2.0.1.tar.gz 87804 BLAKE2B 0fbbe4dbb68104fb94dbb0a3a84759d2ad5ec3e8fb285a12534b0465e5c3ed4084e879f9322dbd26071338f4e39b01b3e42337e933bee921600e3a32f00069b8 SHA512 95d10099634dd15d2e93249b37e1d2727922fdeac9993ddb63b6c3f8ff39377c02fce0e0a77d120aed868d3a2cb51972eed4cf84f5ddcec8488f60e9769d4263
DIST passwdqc-2.0.2.tar.gz 88796 BLAKE2B 4be0180dbee38d124cc5fd3780fcc27b276bd9370c59c83a9c037b67f18518873bd34d23f779125ac0b5e8bb1f40a5e8e24dc65bfe5919f735f96d4f625cebdb SHA512 60f91ad7c86314b0d9ad97a2474a1a5bbb8b41491b274e09f7300d8a609cfffb0688bf39d4e715f647f3c87bfee429cb5e01f1a641a14eea3f55b223610ed8ec
diff --git a/sys-auth/passwdqc/passwdqc-2.0.0-r2.ebuild b/sys-auth/passwdqc/passwdqc-2.0.0-r2.ebuild
deleted file mode 100644
index d969c52fda6..00000000000
--- a/sys-auth/passwdqc/passwdqc-2.0.0-r2.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit pam toolchain-funcs
-
-DESCRIPTION="Password strength checking library (and PAM module)"
-HOMEPAGE="http://www.openwall.com/passwdqc/"
-SRC_URI="http://www.openwall.com/${PN}/${P}.tar.gz"
-
-LICENSE="Openwall BSD public-domain"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="sys-libs/pam
- virtual/libcrypt:="
-DEPEND="${RDEPEND}"
-
-pkg_setup() {
- QA_FLAGS_IGNORED="/$(get_libdir)/security/pam_passwdqc.so
- /usr/$(get_libdir)/libpasswdqc.so.1"
-}
-
-src_prepare() {
- default
- sed -i -e 's:`uname -s`:Linux:' Makefile || die
-
- # ship our own default settings
- cat <<- EOF > "${S}/passwdqc.conf"
- min=disabled,24,11,8,7
- max=72
- passphrase=3
- match=4
- similar=deny
- random=47
- enforce=everyone
- retry=3
- EOF
-
-}
-
-_emake() {
- emake \
- SHARED_LIBDIR="/usr/$(get_libdir)" \
- SECUREDIR="$(getpam_mod_dir)" \
- CONFDIR="/etc/security" \
- CFLAGS="${CFLAGS} ${CPPFLAGS}" \
- LDFLAGS="${LDFLAGS}" \
- CC="$(tc-getCC)" \
- LD="$(tc-getCC)" \
- "$@"
-}
-
-src_compile() {
- _emake all
-}
-
-src_install() {
- _emake DESTDIR="${ED}" install_lib install_pam install_utils
- dodoc README PLATFORMS INTERNALS
-}
diff --git a/sys-auth/passwdqc/passwdqc-2.0.1-r2.ebuild b/sys-auth/passwdqc/passwdqc-2.0.1-r2.ebuild
deleted file mode 100644
index d969c52fda6..00000000000
--- a/sys-auth/passwdqc/passwdqc-2.0.1-r2.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit pam toolchain-funcs
-
-DESCRIPTION="Password strength checking library (and PAM module)"
-HOMEPAGE="http://www.openwall.com/passwdqc/"
-SRC_URI="http://www.openwall.com/${PN}/${P}.tar.gz"
-
-LICENSE="Openwall BSD public-domain"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="sys-libs/pam
- virtual/libcrypt:="
-DEPEND="${RDEPEND}"
-
-pkg_setup() {
- QA_FLAGS_IGNORED="/$(get_libdir)/security/pam_passwdqc.so
- /usr/$(get_libdir)/libpasswdqc.so.1"
-}
-
-src_prepare() {
- default
- sed -i -e 's:`uname -s`:Linux:' Makefile || die
-
- # ship our own default settings
- cat <<- EOF > "${S}/passwdqc.conf"
- min=disabled,24,11,8,7
- max=72
- passphrase=3
- match=4
- similar=deny
- random=47
- enforce=everyone
- retry=3
- EOF
-
-}
-
-_emake() {
- emake \
- SHARED_LIBDIR="/usr/$(get_libdir)" \
- SECUREDIR="$(getpam_mod_dir)" \
- CONFDIR="/etc/security" \
- CFLAGS="${CFLAGS} ${CPPFLAGS}" \
- LDFLAGS="${LDFLAGS}" \
- CC="$(tc-getCC)" \
- LD="$(tc-getCC)" \
- "$@"
-}
-
-src_compile() {
- _emake all
-}
-
-src_install() {
- _emake DESTDIR="${ED}" install_lib install_pam install_utils
- dodoc README PLATFORMS INTERNALS
-}
diff --git a/sys-auth/passwdqc/passwdqc-2.0.2-r1.ebuild b/sys-auth/passwdqc/passwdqc-2.0.2-r1.ebuild
index d969c52fda6..40d82576ce2 100644
--- a/sys-auth/passwdqc/passwdqc-2.0.2-r1.ebuild
+++ b/sys-auth/passwdqc/passwdqc-2.0.2-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://www.openwall.com/${PN}/${P}.tar.gz"
LICENSE="Openwall BSD public-domain"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="sys-libs/pam
virtual/libcrypt:="
diff --git a/sys-auth/polkit-pkla-compat/polkit-pkla-compat-0.1.ebuild b/sys-auth/polkit-pkla-compat/polkit-pkla-compat-0.1-r1.ebuild
index ff1865e975e..1f0ef021b4c 100644
--- a/sys-auth/polkit-pkla-compat/polkit-pkla-compat-0.1.ebuild
+++ b/sys-auth/polkit-pkla-compat/polkit-pkla-compat-0.1-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=8
DESCRIPTION="Rules for polkit to add compatibility with pklocalauthority"
HOMEPAGE="https://pagure.io/polkit-pkla-compat"
@@ -10,22 +10,20 @@ SRC_URI="https://releases.pagure.org/${PN}/${P}.tar.xz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~ppc x86"
-IUSE=""
RDEPEND=">=dev-libs/glib-2.30
>=sys-auth/polkit-0.110"
-DEPEND="${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
virtual/pkgconfig"
-DOCS="AUTHORS NEWS README"
-
src_install() {
default
fowners -R root:polkitd /etc/polkit-1/localauthority
}
pkg_postinst() {
- chown -R root:polkitd "${EROOT}"/etc/polkit-1/localauthority
+ chown -R root:polkitd "${EROOT}"/etc/polkit-1/localauthority || die
}
diff --git a/sys-auth/polkit/files/polkit-0.120-meson.patch b/sys-auth/polkit/files/polkit-0.120-meson.patch
new file mode 100644
index 00000000000..5e144688d37
--- /dev/null
+++ b/sys-auth/polkit/files/polkit-0.120-meson.patch
@@ -0,0 +1,42 @@
+From e7f3d9e8341df64e2abc3910dafb1113a84bff07 Mon Sep 17 00:00:00 2001
+From: Simon McVittie <smcv@debian.org>
+Date: Mon, 25 Oct 2021 20:21:27 +0100
+Subject: [PATCH] Don't pass positional parameters to i18n.merge_file
+
+These were always ignored, and Meson 0.60.0 disallowed them.
+
+Resolves: https://gitlab.freedesktop.org/polkit/polkit/-/issues/160
+Reference: https://github.com/mesonbuild/meson/pull/9445
+Signed-off-by: Simon McVittie <smcv@debian.org>
+---
+ actions/meson.build | 1 -
+ src/examples/meson.build | 1 -
+ 2 files changed, 2 deletions(-)
+
+diff --git a/actions/meson.build b/actions/meson.build
+index 2abaaf3..1e3f370 100644
+--- a/actions/meson.build
++++ b/actions/meson.build
+@@ -1,7 +1,6 @@
+ policy = 'org.freedesktop.policykit.policy'
+
+ i18n.merge_file(
+- policy,
+ input: policy + '.in',
+ output: '@BASENAME@',
+ po_dir: po_dir,
+diff --git a/src/examples/meson.build b/src/examples/meson.build
+index c6305ab..8c18de5 100644
+--- a/src/examples/meson.build
++++ b/src/examples/meson.build
+@@ -1,7 +1,6 @@
+ policy = 'org.freedesktop.policykit.examples.pkexec.policy'
+
+ i18n.merge_file(
+- policy,
+ input: policy + '.in',
+ output: '@BASENAME@',
+ po_dir: po_dir,
+--
+GitLab
+
diff --git a/sys-auth/polkit/polkit-0.120-r1.ebuild b/sys-auth/polkit/polkit-0.120-r1.ebuild
index 8860ae9bfa5..3ec998fa6f0 100644
--- a/sys-auth/polkit/polkit-0.120-r1.ebuild
+++ b/sys-auth/polkit/polkit-0.120-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="https://www.freedesktop.org/software/${PN}/releases/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc64 ~riscv ~s390 ~x86"
+KEYWORDS="amd64 arm arm64 ~mips ppc64 ~riscv ~s390 x86"
IUSE="examples gtk +introspection kde pam selinux systemd test"
#RESTRICT="!test? ( test )"
# Tests currently don't work with meson. See
@@ -61,6 +61,9 @@ QA_MULTILIB_PATHS="
usr/lib/polkit-1/polkitd"
src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}/polkit-0.120-meson.patch"
+ )
default
sed -i -e 's|unix-group:wheel|unix-user:0|' src/polkitbackend/*-default.rules || die #401513
diff --git a/sys-auth/seatd/Manifest b/sys-auth/seatd/Manifest
index 1ca08917664..5cd5acd8009 100644
--- a/sys-auth/seatd/Manifest
+++ b/sys-auth/seatd/Manifest
@@ -1,2 +1,3 @@
DIST seatd-0.5.0.tar.gz 34762 BLAKE2B 054bd64800b734f6092f856540217e5ea4872c5a363960bac6c5aa7dac5355bdbd982232efd2f8078ad326ec0e6257f3ee7643384c88a3bbe15255d65f02540c SHA512 a6b1f11313411fe99e8bdd64aa493fc19bde7b0b927f21e2c3ec8a7fadc6cf2f04fcefa73fa033d971d1dc482665d3dc927ec168026289fe88b2593a45adbc0f
DIST seatd-0.6.2.tar.gz 37713 BLAKE2B 001c6269bcc83488099f9237a3412b61f89cf653fcb5b0d1ada3f5fbdb17ec604d881ce3d835ff1ea3bc683bb143bab75de88d67b55f508e6a9dd2e958347567 SHA512 47e3aec819f43e72913be1cac2c0db26287f1ef8ecc738845d3591b3e2b4fee3441ac50ea45ac75a5da774e5305a18a02b8375f76f71644c8c07e95bcad52762
+DIST seatd-0.6.3.tar.gz 38525 BLAKE2B e1bdb85f9432a9a407ea7a72ed5790debf01a410546e9162641ab55179b3beefba0eb45fd24e2643dc5cfb2a26db2490f49095ff1d08b4a38663f93e46dc2ed5 SHA512 28c979e8c2fc73a8607c6085f2e27dc6e2630bc874f98686ce22aa797e74fdad1cc9fca8649eaf8920e93f01a852fbe209bde86ebf582e81060d4ca015425815
diff --git a/sys-auth/seatd/metadata.xml b/sys-auth/seatd/metadata.xml
index 835e6a9e6bf..827e2ce4f13 100644
--- a/sys-auth/seatd/metadata.xml
+++ b/sys-auth/seatd/metadata.xml
@@ -1,16 +1,20 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="person" proxied="yes">
- <email>contact@hacktivis.me</email>
- <name>Haelwenn (lanodan) Monnier</name>
-</maintainer>
-<maintainer type="project" proxied="proxy">
- <email>proxy-maint@gentoo.org</email>
- <name>Proxy Maintainers</name>
-</maintainer>
-<use>
- <flag name="builtin">Enable embedded server in libseat</flag>
- <flag name="server">Enable standalone seatd server</flag>
-</use>
+ <maintainer type="person" proxied="yes">
+ <email>contact@hacktivis.me</email>
+ <name>Haelwenn (lanodan) Monnier</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>arthurzam@gentoo.org</email>
+ <name>Arthur Zamarin</name>
+ </maintainer>
+ <use>
+ <flag name="builtin">Enable embedded server in libseat</flag>
+ <flag name="server">Enable standalone seatd server</flag>
+ </use>
</pkgmetadata>
diff --git a/sys-auth/seatd/seatd-0.6.3.ebuild b/sys-auth/seatd/seatd-0.6.3.ebuild
new file mode 100644
index 00000000000..c8a6b71abb9
--- /dev/null
+++ b/sys-auth/seatd/seatd-0.6.3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson systemd
+
+DESCRIPTION="Minimal seat management daemon and universal library"
+HOMEPAGE="https://sr.ht/~kennylevinsen/seatd"
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.sr.ht/~kennylevinsen/seatd"
+else
+ KEYWORDS="amd64 arm64 ~ppc64 ~riscv x86"
+ SRC_URI="https://git.sr.ht/~kennylevinsen/seatd/archive/${PV}.tar.gz -> ${P}.tar.gz"
+fi
+LICENSE="MIT"
+SLOT="0/1"
+IUSE="builtin elogind +server systemd"
+REQUIRED_USE="?? ( elogind systemd )"
+
+DEPEND="
+ elogind? ( sys-auth/elogind )
+ systemd? ( sys-apps/systemd )
+"
+RDEPEND="${DEPEND}
+ server? ( acct-group/seat )
+"
+BDEPEND=">=app-text/scdoc-1.9.7"
+
+src_configure() {
+ local emesonargs=(
+ -Dman-pages=enabled
+ -Dwerror=false
+ $(meson_feature builtin libseat-builtin)
+ $(meson_feature server)
+ )
+
+ if use elogind ; then
+ emesonargs+=( -Dlibseat-logind=elogind )
+ elif use systemd; then
+ emesonargs+=( -Dlibseat-logind=systemd )
+ else
+ emesonargs+=( -Dlibseat-logind=disabled )
+ fi
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ if use server; then
+ newinitd "${FILESDIR}/seatd.initd" seatd
+ systemd_dounit contrib/systemd/seatd.service
+ fi
+}
diff --git a/sys-auth/seatd/seatd-9999.ebuild b/sys-auth/seatd/seatd-9999.ebuild
index 8513ea78566..2c8b264374b 100644
--- a/sys-auth/seatd/seatd-9999.ebuild
+++ b/sys-auth/seatd/seatd-9999.ebuild
@@ -23,7 +23,9 @@ DEPEND="
elogind? ( sys-auth/elogind )
systemd? ( sys-apps/systemd )
"
-RDEPEND="${DEPEND}"
+RDEPEND="${DEPEND}
+ server? ( acct-group/seat )
+"
BDEPEND=">=app-text/scdoc-1.9.7"
src_configure() {
diff --git a/sys-auth/solo-python/Manifest b/sys-auth/solo-python/Manifest
index 005109374d5..bd8819b2c9d 100644
--- a/sys-auth/solo-python/Manifest
+++ b/sys-auth/solo-python/Manifest
@@ -1 +1 @@
-DIST solo-python-0.0.30.tar.gz 34932 BLAKE2B 6787d9c6e102cd2cb5579be0cb3ffbbe76b3ae90f4fa6891b6a1ca3e76436568a949daa6796fc17c9868d10d5de3b0dd377619936eccb0d436a284a35efa40a9 SHA512 bba63e598ef585ef49e98f3ec2a79911cf8af3fc38c9407bd91b7500dc55bf84f365664e6f80ff0ed3553ce93f5d61ba11c5301e8b36d6000c7a922857adaa5e
+DIST solo-python-0.0.31.tar.gz 34959 BLAKE2B abc7bb014bb6eedcd0178cb600c626ca6e2b4773083916db698c0dd9639208206da010470f77813074137667afb5c6725311c3406762a8ab5a029e9966b227d6 SHA512 e8c81524b6d10bc38898b19e35ab2f7b95bea7906553de9e0598fc160b5b9b61f4f8b40e2238631738e1b69ef52652af1b3e84aa0a3552126929c4512210c1fa
diff --git a/sys-auth/solo-python/metadata.xml b/sys-auth/solo-python/metadata.xml
index 36357e47385..d5ab884af31 100644
--- a/sys-auth/solo-python/metadata.xml
+++ b/sys-auth/solo-python/metadata.xml
@@ -13,6 +13,6 @@
<stabilize-allarches/>
<upstream>
<remote-id type="github">solokeys/solo-python</remote-id>
- <remote-id type="pypi">solo</remote-id>
+ <remote-id type="pypi">solo-python</remote-id>
</upstream>
</pkgmetadata>
diff --git a/sys-auth/solo-python/solo-python-0.0.30.ebuild b/sys-auth/solo-python/solo-python-0.0.31.ebuild
index e8cd0529f6d..e8cd0529f6d 100644
--- a/sys-auth/solo-python/solo-python-0.0.30.ebuild
+++ b/sys-auth/solo-python/solo-python-0.0.31.ebuild
diff --git a/sys-auth/sssd/Manifest b/sys-auth/sssd/Manifest
index 5a4af14d089..82f54dde37e 100644
--- a/sys-auth/sssd/Manifest
+++ b/sys-auth/sssd/Manifest
@@ -1,3 +1,4 @@
DIST sssd-2.3.1.tar.gz 7186526 BLAKE2B 6d630fe75b9b426ef54adbe1704fde8e01fc34df7861028c07ce2985db8a151ce743d633061386fea6460fe8eabb89242b816d4bac87975bb9b7b2064ad1d547 SHA512 6aeb52d5222c5992d581296996749327bcaf276e4eb4413a6a32ea6529343432cfe413006aca4245c19b38b515be1c4c2ef88a157c617d889274179253355bc6
DIST sssd-2.5.2-CVE-2021-3621.patch.bz2 3155 BLAKE2B c50e331f0f1acbb9ef8e6d54a63219da44df5e565608c24635d85a110fcc024f7d5293c4412bca64831a9a3a14e2c1188be1a802c76575ad6d7a83243d3d89c2 SHA512 650af7c67b3a807935c0875ee877d366facdf818492fb4244757448ad351454a279968ea5414e6b3cd116e873abe4f1aef2ccdaf790a4df0cf7f2a0078a41860
DIST sssd-2.5.2.tar.gz 7579208 BLAKE2B ec5d9aeaf5b5e05b56c01f9137f6f24db05544dbd48458d742285b60e7beb6d48af865f3415e11ce89e187f4643bbecf15bbb321859ec80cfe458eb781cea6c9 SHA512 a9bac7b2cc23022dce3bcda314c9c26a0a0914c448f6d5a51c5ba18670f04c1fd1a94cb20173235b6285df1dcc9251cb6b3f3e71a220037b4eb66668e6f33c48
+DIST sssd-2.6.0.tar.gz 7440969 BLAKE2B 6b05fcea09ef10a5b2f373dc6a66032edc4c4f46f65f42fdc9ffb5b676025095e16de4a86b3088351c22746e062829d1d68fa7e960cccb7c5a77d960e6d38e2a SHA512 0b9e169424cbadfa6132a3e5e9789facf82f04cce94cb5344b8ff49370ae8817c2cb16cf21caddf6a7cd42e661d5ff5bf97843d79681683aacff0053ff93f64b
diff --git a/sys-auth/sssd/files/sssd-2.6.0-conditional-python-install.patch b/sys-auth/sssd/files/sssd-2.6.0-conditional-python-install.patch
new file mode 100644
index 00000000000..04c18ceede8
--- /dev/null
+++ b/sys-auth/sssd/files/sssd-2.6.0-conditional-python-install.patch
@@ -0,0 +1,19 @@
+--- a/src/tools/analyzer/Makefile.am
++++ b/src/tools/analyzer/Makefile.am
+@@ -1,5 +1,7 @@
+ pkgpythondir = $(python3dir)/sssd
++modulesdir = $(pkgpythondir)/modules
+
++if BUILD_PYTHON_BINDINGS
+ dist_pkgpython_SCRIPTS = \
+ sss_analyze.py \
+ $(NULL)
+@@ -10,7 +12,7 @@
+ source_reader.py \
+ $(NULL)
+
+-modulesdir = $(pkgpythondir)/modules
+ dist_modules_DATA = \
+ modules/request.py \
+ $(NULL)
++endif
diff --git a/sys-auth/sssd/sssd-2.5.2-r1.ebuild b/sys-auth/sssd/sssd-2.5.2-r2.ebuild
index 6f4a3307f99..8a2687f2056 100644
--- a/sys-auth/sssd/sssd-2.5.2-r1.ebuild
+++ b/sys-auth/sssd/sssd-2.5.2-r2.ebuild
@@ -5,7 +5,7 @@ EAPI=7
PYTHON_COMPAT=( python3_{8..10} )
-inherit autotools linux-info multilib-minimal python-single-r1 pam systemd toolchain-funcs
+inherit autotools linux-info multilib-minimal python-single-r1 pam systemd toolchain-funcs optfeature
DESCRIPTION="System Security Services Daemon provides access to identity and authentication"
HOMEPAGE="https://github.com/SSSD/sssd"
@@ -14,7 +14,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-CVE-2021
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
IUSE="acl doc +locator +netlink nfsv4 nls +man pac python samba selinux sudo systemd systemtap test valgrind"
RESTRICT="!test? ( test )"
@@ -299,4 +299,5 @@ pkg_postinst() {
elog "You must set up sssd.conf (default installed into /etc/sssd)"
elog "and (optionally) configuration in /etc/pam.d in order to use SSSD"
elog "features. Please see howto in https://sssd.io/docs/design_pages/smartcard_authentication_require.html"
+ optfeature "Kerberos keytab renew (see krb5_renew_interval)" app-crypt/adcli
}
diff --git a/sys-auth/sssd/sssd-2.6.0-r1.ebuild b/sys-auth/sssd/sssd-2.6.0-r1.ebuild
new file mode 100644
index 00000000000..6b13c0aa927
--- /dev/null
+++ b/sys-auth/sssd/sssd-2.6.0-r1.ebuild
@@ -0,0 +1,291 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit autotools linux-info multilib-minimal optfeature python-single-r1 pam systemd toolchain-funcs
+
+DESCRIPTION="System Security Services Daemon provides access to identity and authentication"
+HOMEPAGE="https://github.com/SSSD/sssd"
+SRC_URI="https://github.com/SSSD/sssd/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="acl doc +locator +netlink nfsv4 nls +man pac python samba selinux sudo systemd systemtap test valgrind"
+REQUIRED_USE="
+ pac? ( samba )
+ python? ( ${PYTHON_REQUIRED_USE} )
+ test? ( sudo )
+ valgrind? ( test )"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ >=app-crypt/mit-krb5-1.19.1[${MULTILIB_USEDEP}]
+ app-crypt/p11-kit
+ >=dev-libs/ding-libs-0.2
+ >=dev-libs/cyrus-sasl-2.1.25-r3[kerberos]
+ dev-libs/libpcre2:=
+ >=dev-libs/popt-1.16
+ >=dev-libs/openssl-1.0.2:=
+ dev-libs/libunistring:=
+ >=net-dns/bind-tools-9.9[gssapi]
+ >=net-dns/c-ares-1.7.4:=
+ >=net-nds/openldap-2.4.30[sasl]
+ >=sys-apps/dbus-1.6
+ >=sys-apps/keyutils-1.5:=
+ >=sys-libs/pam-0-r1[${MULTILIB_USEDEP}]
+ >=sys-libs/talloc-2.0.7
+ >=sys-libs/tdb-1.2.9
+ >=sys-libs/tevent-0.9.16
+ >=sys-libs/ldb-1.1.17-r1:=
+ virtual/libintl
+ acl? ( net-fs/cifs-utils[acl] )
+ locator? ( >=net-dns/c-ares-1.10.0-r1[${MULTILIB_USEDEP}] )
+ netlink? ( dev-libs/libnl:3 )
+ nfsv4? (
+ || (
+ >=net-fs/nfs-utils-2.3.1-r2
+ net-libs/libnfsidmap
+ )
+ )
+ pac? ( net-fs/samba )
+ python? ( ${PYTHON_DEPS} )
+ samba? ( >=net-fs/samba-4.10.2[winbind] )
+ selinux? (
+ >=sys-libs/libselinux-2.1.9
+ >=sys-libs/libsemanage-2.1
+ )
+ systemd? (
+ sys-apps/systemd:=
+ sys-apps/util-linux
+ )
+ systemtap? ( dev-util/systemtap )"
+RDEPEND="${DEPEND}
+ >=sys-libs/glibc-2.17[nscd]
+ selinux? ( >=sec-policy/selinux-sssd-2.20120725-r9 )"
+BDEPEND="
+ virtual/pkgconfig
+ ${PYTHON_DEPS}
+ doc? ( app-doc/doxygen )
+ nls? ( sys-devel/gettext )
+ test? (
+ dev-libs/check
+ dev-libs/softhsm:2
+ dev-util/cmocka
+ net-libs/gnutls[pkcs11,tools]
+ sys-libs/libfaketime
+ sys-libs/nss_wrapper
+ sys-libs/pam_wrapper
+ sys-libs/uid_wrapper
+ valgrind? ( dev-util/valgrind )
+ )
+ man? (
+ app-text/docbook-xml-dtd:4.4
+ >=dev-libs/libxslt-1.1.26
+ nls? ( app-text/po4a )
+ )"
+
+CONFIG_CHECK="~KEYS"
+
+PATCHES=( "${FILESDIR}"/${PN}-2.6.0-conditional-python-install.patch )
+
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/ipa_hbac.h
+ /usr/include/sss_idmap.h
+ /usr/include/sss_nss_idmap.h
+ # --with-ifp
+ /usr/include/sss_sifp.h
+ /usr/include/sss_sifp_dbus.h
+ # from 1.15.3
+ /usr/include/sss_certmap.h
+)
+
+pkg_setup() {
+ linux-info_pkg_setup
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's:/var/run:/run:' \
+ src/examples/logrotate \
+ || die
+
+ # disable flaky test, see https://github.com/SSSD/sssd/issues/5631
+ sed -i \
+ -e '/^\s*pam-srv-tests[ \\]*$/d' \
+ Makefile.am \
+ || die
+
+ eautoreconf
+
+ multilib_copy_sources
+}
+
+src_configure() {
+ local native_dbus_cflags=$($(tc-getPKG_CONFIG) --cflags dbus-1 || die)
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ local myconf=()
+
+ myconf+=(
+ --localstatedir="${EPREFIX}"/var
+ --runstatedir="${EPREFIX}"/run
+ --with-pid-path="${EPREFIX}"/run
+ --with-plugin-path="${EPREFIX}"/usr/$(get_libdir)/sssd
+ --enable-pammoddir="${EPREFIX}"/$(getpam_mod_dir)
+ --with-ldb-lib-dir="${EPREFIX}"/usr/$(get_libdir)/samba/ldb
+ --with-db-path="${EPREFIX}"/var/lib/sss/db
+ --with-gpo-cache-path="${EPREFIX}"/var/lib/sss/gpo_cache
+ --with-pubconf-path="${EPREFIX}"/var/lib/sss/pubconf
+ --with-pipe-path="${EPREFIX}"/var/lib/sss/pipes
+ --with-mcache-path="${EPREFIX}"/var/lib/sss/mc
+ --with-secrets-db-path="${EPREFIX}"/var/lib/sss/secrets
+ --with-log-path="${EPREFIX}"/var/log/sssd
+ --with-os=gentoo
+ --disable-rpath
+ --disable-static
+ --sbindir="${EPREFIX}"/usr/sbin
+ $(multilib_native_use_with systemd kcm)
+ $(use_with samba)
+ --with-smb-idmap-interface-version=6
+ $(multilib_native_use_enable acl cifs-idmap-plugin)
+ $(multilib_native_use_with selinux)
+ $(multilib_native_use_with selinux semanage)
+ $(use_enable locator krb5-locator-plugin)
+ $(use_enable pac pac-responder)
+ $(multilib_native_use_with nfsv4 nfsv4-idmapd-plugin)
+ $(use_enable nls)
+ $(multilib_native_use_with netlink libnl)
+ $(multilib_native_use_with man manpages)
+ $(multilib_native_use_with sudo)
+ $(multilib_native_with autofs)
+ $(multilib_native_with ssh)
+ $(use_enable systemtap)
+ $(use_enable valgrind)
+ --without-python2-bindings
+ $(multilib_native_use_with python python3-bindings)
+ # Annoyingly configure requires that you pick systemd XOR sysv
+ --with-initscript=$(usex systemd systemd sysv)
+ )
+
+ use systemd && myconf+=(
+ --with-systemdunitdir=$(systemd_get_systemunitdir)
+ )
+
+ if ! multilib_is_native_abi; then
+ # work-around all the libraries that are used for CLI and server
+ myconf+=(
+ {POPT,TALLOC,TDB,TEVENT,LDB}_{CFLAGS,LIBS}=' '
+ # ldb headers are fine since native needs it
+ # ldb lib fails... but it does not seem to bother
+ {DHASH,COLLECTION,INI_CONFIG_V{0,1,1_1,1_3}}_{CFLAGS,LIBS}=' '
+ {PCRE,CARES,SYSTEMD_LOGIN,SASL,GLIB2,DBUS,CRYPTO,P11_KIT}_{CFLAGS,LIBS}=' '
+ {NDR_NBT,SMBCLIENT,NDR_KRB5PAC}_{CFLAGS,LIBS}=' '
+
+ # use native include path for dbus (needed for build)
+ DBUS_CFLAGS="${native_dbus_cflags}"
+
+ # non-pkgconfig checks
+ ac_cv_lib_ldap_ldap_search=yes
+ --without-kcm
+ )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ if multilib_is_native_abi; then
+ default
+ use doc && emake docs
+ if use man || use nls; then
+ emake update-po
+ fi
+ else
+ emake libnss_sss.la pam_sss.la
+ use locator && emake sssd_krb5_locator_plugin.la
+ use pac && emake sssd_pac_plugin.la
+ fi
+}
+
+multilib_src_test() {
+ if multilib_is_native_abi; then
+ local -x CK_TIMEOUT_MULTIPLIER=10
+ emake check VERBOSE=yes
+ fi
+}
+
+multilib_src_install() {
+ if multilib_is_native_abi; then
+ emake -j1 DESTDIR="${D}" install
+ if use python; then
+ python_fix_shebang "${ED}"
+ python_optimize
+ fi
+ else
+ # easier than playing with automake...
+ dopammod .libs/pam_sss.so
+
+ into /
+ dolib.so .libs/libnss_sss.so*
+
+ if use locator; then
+ exeinto /usr/$(get_libdir)/krb5/plugins/libkrb5
+ doexe .libs/sssd_krb5_locator_plugin.so
+ fi
+
+ if use pac; then
+ exeinto /usr/$(get_libdir)/krb5/plugins/authdata
+ doexe .libs/sssd_pac_plugin.so
+ fi
+ fi
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ insinto /etc/sssd
+ insopts -m600
+ doins src/examples/sssd-example.conf
+
+ insinto /etc/logrotate.d
+ insopts -m644
+ newins src/examples/logrotate sssd
+
+ newconfd "${FILESDIR}"/sssd.conf sssd
+
+ keepdir /var/lib/sss/db
+ keepdir /var/lib/sss/deskprofile
+ keepdir /var/lib/sss/gpo_cache
+ keepdir /var/lib/sss/keytabs
+ keepdir /var/lib/sss/mc
+ keepdir /var/lib/sss/pipes/private
+ keepdir /var/lib/sss/pubconf/krb5.include.d
+ keepdir /var/lib/sss/secrets
+ keepdir /var/log/sssd
+
+ # strip empty dirs
+ if ! use doc; then
+ rm -r "${ED}"/usr/share/doc/"${PF}"/doc || die
+ rm -r "${ED}"/usr/share/doc/"${PF}"/{hbac,idmap,nss_idmap,sss_simpleifp}_doc || die
+ fi
+
+ rm -r "${ED}"/run || die
+ find "${ED}" -type f -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ elog "You must set up sssd.conf (default installed into /etc/sssd)"
+ elog "and (optionally) configuration in /etc/pam.d in order to use SSSD"
+ elog "features. Please see howto in https://sssd.io/docs/design_pages/smartcard_authentication_require.html"
+ optfeature "Kerberos keytab renew (see krb5_renew_interval)" app-crypt/adcli
+}
diff --git a/sys-auth/ykneo-ccid-tools/Manifest b/sys-auth/ykneo-ccid-tools/Manifest
deleted file mode 100644
index 2747cdfabf6..00000000000
--- a/sys-auth/ykneo-ccid-tools/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST ykneo-ccid-tools-0.0.0.tar.gz 298831 BLAKE2B abe3cf35eab7afae56e16665735f8ce5aa436e8d1a7b98c7ac5f88a129ad2cb4331e40839c017b5384f442b0e365f7c0f414abe8dbcbbea5af08f13d8b3f5a54 SHA512 735fbdee9e307b8fa1304b5ebc1fc490807e3b4cd67b62c4faa100fe9ac2915b8c1c979820078e0035ddb9d304460c7bae601ad89f358101faae2f13d066d864
diff --git a/sys-auth/ykneo-ccid-tools/files/ykneo-ccid-tools-0.0.0-string.patch b/sys-auth/ykneo-ccid-tools/files/ykneo-ccid-tools-0.0.0-string.patch
deleted file mode 100644
index 7a4b70b82f8..00000000000
--- a/sys-auth/ykneo-ccid-tools/files/ykneo-ccid-tools-0.0.0-string.patch
+++ /dev/null
@@ -1,11 +0,0 @@
-diff -urN ykneo-ccid-tools-0.0.0.orig/NEO_Config.c ykneo-ccid-tools-0.0.0/NEO_Config.c
---- ykneo-ccid-tools-0.0.0.orig/NEO_Config.c 2012-12-20 21:30:44.000000000 +0100
-+++ ykneo-ccid-tools-0.0.0/NEO_Config.c 2013-08-12 16:40:18.109041000 +0200
-@@ -9,6 +9,7 @@
-
- #include <stdio.h>
- #include <stdlib.h>
-+#include <string.h>
- #include <neo_if.h>
-
- #pragma pack(push, 1)
diff --git a/sys-auth/ykneo-ccid-tools/metadata.xml b/sys-auth/ykneo-ccid-tools/metadata.xml
deleted file mode 100644
index 29365b0cc2d..00000000000
--- a/sys-auth/ykneo-ccid-tools/metadata.xml
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <!-- maintainer-needed -->
- <upstream>
- <remote-id type="github">Yubico/ykneo-ccid-tools</remote-id>
- </upstream>
-</pkgmetadata>
diff --git a/sys-auth/ykneo-ccid-tools/ykneo-ccid-tools-0.0.0.ebuild b/sys-auth/ykneo-ccid-tools/ykneo-ccid-tools-0.0.0.ebuild
deleted file mode 100644
index ad5468406fe..00000000000
--- a/sys-auth/ykneo-ccid-tools/ykneo-ccid-tools-0.0.0.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit epatch udev
-
-DESCRIPTION="Tools for Yubico's YubiKey NEO in CCID mode"
-SRC_URI="http://yubico.github.io/ykneo-ccid-tools/releases/${P}.tar.gz"
-HOMEPAGE="https://github.com/Yubico/ykneo-ccid-tools"
-
-KEYWORDS="~amd64 ~x86"
-SLOT="0"
-LICENSE="BSD-2"
-IUSE=""
-
-RDEPEND="sys-apps/pcsc-lite"
-DEPEND="${RDEPEND}
- sys-apps/help2man
- dev-util/gengetopt"
-
-DOCS=( AUTHORS NEWS README )
-
-src_prepare() {
- epatch "${FILESDIR}/${P}-string.patch"
-}
diff --git a/sys-auth/yubico-piv-tool/Manifest b/sys-auth/yubico-piv-tool/Manifest
index 0a4fc772df5..f2a0fe19e93 100644
--- a/sys-auth/yubico-piv-tool/Manifest
+++ b/sys-auth/yubico-piv-tool/Manifest
@@ -1,2 +1 @@
-DIST yubico-piv-tool-2.2.0.tar.gz 1309359 BLAKE2B a5be7a48549f864b9322b5bf53726007b593ce7d08cd06f2251aef98cb065d90586e0189e6f3da94d6d274d6998459afa4a55a0d4c1145395f55830f53d334e4 SHA512 b2f8cd73800e0e0778ce36148b962026479f5d3ada3e313acb5a780993c28c41b03e9aa9335ac5b79fed7a418a2d3d3697231adf2da0dd06cd8d22ea5a01aca5
DIST yubico-piv-tool-2.2.1.tar.gz 1310253 BLAKE2B f5e5d2c351200b2fc57aafdd02a604ee5f15cd8f1a0cb552133a367da2cbf7fe248ec9eba649427b30e8322126be1f9677fd471b38db1f00cda37ccb0ac413c9 SHA512 495a269194d8d9d8957542611959b3fc8e0ae54d1cab5c041f2604590cc740e89e0956b9d595f8a06f138e92b8804def52aae797f199479a81fc1fc3d57bfb96
diff --git a/sys-auth/yubico-piv-tool/files/yubico-piv-tool-2.2.1-openssl3.patch b/sys-auth/yubico-piv-tool/files/yubico-piv-tool-2.2.1-openssl3.patch
new file mode 100644
index 00000000000..5ba807ea0c6
--- /dev/null
+++ b/sys-auth/yubico-piv-tool/files/yubico-piv-tool-2.2.1-openssl3.patch
@@ -0,0 +1,32 @@
+From 81b063f53db8a3d74077522a6ff4f1640cc3fe70 Mon Sep 17 00:00:00 2001
+From: Clemens Lang <cal@macports.org>
+Date: Sun, 14 Nov 2021 18:21:28 +0100
+Subject: [PATCH] Avoid header include guard conflict with OpenSSL 3
+
+OpenSSL 3.x ships an openssl/types.h header that's protected with an
+OPENSSL_TYPES_H include guard macro. OpenSSL's headers fail to parse
+when ykcs11/openssl_types.h defines this symbol.
+
+Switch the include guard for the file to YKCS11_OPENSSL_TYPES_H to
+prevent this from happening.
+
+Signed-off-by: Clemens Lang <cal@macports.org>
+---
+ ykcs11/openssl_types.h | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/ykcs11/openssl_types.h b/ykcs11/openssl_types.h
+index c526d815..f3e1a7c0 100644
+--- a/ykcs11/openssl_types.h
++++ b/ykcs11/openssl_types.h
+@@ -28,8 +28,8 @@
+ *
+ */
+
+-#ifndef OPENSSL_TYPES_H
+-#define OPENSSL_TYPES_H
++#ifndef YKCS11_OPENSSL_TYPES_H
++#define YKCS11_OPENSSL_TYPES_H
+
+ #include <openssl/bn.h>
+ #include <openssl/x509.h>
diff --git a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.2.0-r1.ebuild b/sys-auth/yubico-piv-tool/yubico-piv-tool-2.2.0-r1.ebuild
deleted file mode 100644
index 426295fd7d5..00000000000
--- a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.2.0-r1.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake
-
-DESCRIPTION="Command-line tool and p11-kit module for the YubiKey PIV application"
-HOMEPAGE="https://developers.yubico.com/yubico-piv-tool/ https://github.com/Yubico/yubico-piv-tool"
-SRC_URI="https://github.com/Yubico/${PN}/archive/${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0/2"
-KEYWORDS="amd64 ~riscv"
-IUSE="test"
-
-RESTRICT="!test? ( test )"
-
-RDEPEND="sys-apps/pcsc-lite
- <dev-libs/openssl-2.99.99:0=[-bindist(-)]"
-DEPEND="${RDEPEND}
- test? ( dev-libs/check )"
-BDEPEND="dev-util/gengetopt
- sys-apps/help2man
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-2.1.1-no-Werror.patch
- "${FILESDIR}"/${PN}-2.1.1-tests-optional.patch
- "${FILESDIR}"/${PN}-2.1.1-ykcs11-threads.patch
-)
-
-S="${WORKDIR}/${PN}-${P}"
-
-src_configure() {
- # As of 2.2.0, man pages end up in /usr/usr/... without the MANDIR override
- local mycmakeargs=(
- -DBUILD_STATIC_LIB=OFF
- -DBUILD_TESTING=$(usex test)
- -DCMAKE_INSTALL_MANDIR="share/man"
- )
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- echo "module: ${EPREFIX}/usr/$(get_libdir)/libykcs11.so" > ${PN}.module \
- || die "Failed to generate p11-kit module configuration"
- insinto /usr/share/p11-kit/modules
- doins ${PN}.module
-}
diff --git a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.2.1.ebuild b/sys-auth/yubico-piv-tool/yubico-piv-tool-2.2.1.ebuild
index 8cea2321eaf..c50d506fb8d 100644
--- a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.2.1.ebuild
+++ b/sys-auth/yubico-piv-tool/yubico-piv-tool-2.2.1.ebuild
@@ -11,13 +11,13 @@ SRC_URI="https://github.com/Yubico/${PN}/archive/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0/2"
-KEYWORDS="~amd64 ~riscv"
+KEYWORDS="amd64 ~riscv"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="sys-apps/pcsc-lite
- <dev-libs/openssl-2.99.99:0=[-bindist(-)]"
+ dev-libs/openssl:=[-bindist(-)]"
DEPEND="${RDEPEND}
test? ( dev-libs/check )"
BDEPEND="dev-util/gengetopt
@@ -28,6 +28,7 @@ PATCHES=(
"${FILESDIR}"/${PN}-2.1.1-no-Werror.patch
"${FILESDIR}"/${PN}-2.1.1-tests-optional.patch
"${FILESDIR}"/${PN}-2.1.1-ykcs11-threads.patch
+ "${FILESDIR}"/${PN}-2.2.1-openssl3.patch
)
S="${WORKDIR}/${PN}-${P}"